Method: accounts.projects.deliveries.list

Lists deliveries for a given project.

HTTP request

GET https://mmmdata.googleapis.com/v0/{parent=accounts/*/projects/*}/deliveries

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of deliveries. Format: accounts/{account}/projects/{project}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of deliveries to return. The service may return fewer than this value. If unspecified, at most 10 deliveries will be returned. The maximum value is 50; values above 50 will be coerced to 50.

pageToken

string

Optional. A page token, received from a previous deliveries.list call. Provide this to retrieve the subsequent page. If this is not provided, then the first page of results is returned. When paginating, all other parameters provided to deliveries.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response object for the deliveries.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "deliveries": [
    {
      object (Delivery)
    }
  ],
  "nextPageToken": string
}
Fields
deliveries[]

object (Delivery)

The deliveries from the specified project.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/mmm_data
  • https://www.googleapis.com/auth/mmm_data.readonly

For more information, see the OAuth 2.0 Overview.